%define anolis_release 1
%global debug_package %{nil}
%define kmod_kernel_version	%(rpm -qa kernel-core | sed 's/^kernel-core-//')


Name:		rds_prefetch_tuning
Version:	1.0
Release:	%{anolis_release}%{?dist}
Summary:	RDS prefetch tuning

License:	GPLv2
Source0:	rds_prefetch_tuning-1.0.tar.gz

ExclusiveArch:	aarch64

BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	kernel-devel >= 5.10.112
BuildRequires:	kernel-core >= 5.10.112

%description
RDS prefetch tuning


%prep
%setup -q


%build
make -C /lib/modules/%{kmod_kernel_version}/build M=$(pwd) modules

%install
mkdir -p %{buildroot}/lib/modules/%{kmod_kernel_version}/extra/
cp -ap rds_prefetch_tuning.ko %{buildroot}/lib/modules/%{kmod_kernel_version}/extra/

%post
depmod -a
modprobe rds_prefetch_tuning


%files
/lib/modules/%{kmod_kernel_version}/extra/rds_prefetch_tuning.ko

%changelog
* Thu Feb 23 2023 mapicccy <guanjun@linux.alibaba.com> - 1.0-1
- init package
